## org.apache.fop.image
Class FopImageFactory

    java.lang.Object
      |
      +--org.apache.fop.image.FopImageFactory

public class FopImageFactory
extends java.lang.Object

create FopImage objects (with a configuration file - not yet implemented).

Author:
  Eric SCHAEFFER

Constructor Summary
`FopImageFactory()`

Method Summary
`static FopImage` `Make(java.lang.String href)` create an FopImage objects.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FopImageFactory

    public FopImageFactory()

Method Detail

### Make

    public static FopImage Make(java.lang.String href)
                         throws java.net.MalformedURLException,
                                FopImageException

  create an FopImage objects.
  Parameters:
    `href` - image URL as a String
  Returns:
    a new FopImage object
  Throws:
    java.net.MalformedURLException - bad URL
    FopImageException - an error occured during construction

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.